# Expanding the Capacity of a File System

#### Function

This API is used to expand the capacity of an SFS Turbo file system. Capacity expansion is an asynchronous operation. You can check whether the expansion is successful by checking field sub_status returned by Querying Details About a Single File System. If the value of the sub-status is 221, the expansion is successful.

#### URI

- URI format

  POST /v1/{project_id}/sfs-turbo/shares/{share_id}/action

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  project_id | Yes | String | Specifies the project ID. For details about how to obtain the project ID, see API Usage Guidelines.
  share_id | Yes | String | Specifies the ID of an SFS Turbo file system.

#### Request

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  extend | Yes | Object | Specifies the extend object. For details, see the parameter in the extend field.

- Parameter in the extend field

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  new_size | Yes | Int | Specifies the post-expansion capacity (GB) of the shared file system. The capacity expansion step is greater than or equal to 100 GB. For a common file system, the value of capacity ranges from 500 to 32768. For an enhanced file system, the value of capacity ranges from 10240 to 327680.

- Example request

      {
          "extend": {
             "new_size": 500
          }
      }

#### Response

- Parameter description

  Parameter | Type | Description
  --- | --- | ---
  id | String | Specifies the ID of an SFS Turbo file system.
  name | String | Specifies the name of an SFS Turbo file system.

- Example response

      {
          "id": "67d4bd5e-7b2f-4c24-9a0b-c0038940c6f8",
          "name": "sfs-turbo-cts"
      }

#### Status Codes

- Normal

202

- Abnormal

For details, see Status Codes.

Parent topic: Storage Capacity Management